Index: trunk/kernel/kern/rpc.c
===================================================================
--- trunk/kernel/kern/rpc.c	(revision 389)
+++ trunk/kernel/kern/rpc.c	(revision 406)
@@ -97,5 +97,5 @@
                                 page_t  ** page )      // out 
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -117,5 +117,5 @@
     *page    = (page_t *)(intptr_t)rpc.args[1];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -125,5 +125,5 @@
 void rpc_pmem_get_pages_server( xptr_t xp )
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -142,5 +142,5 @@
     hal_remote_swd( XPTR( cxy , &desc->args[1] ) , (uint64_t)(intptr_t)page );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -157,5 +157,5 @@
                                    pid_t     * pid )     // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -178,5 +178,5 @@
     *error  = (error_t)rpc.args[2];     
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -190,5 +190,5 @@
     pid_t       pid;       // output : process identifier
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -209,5 +209,5 @@
     hal_remote_sw( XPTR( client_cxy , &desc->args[1] ) , (uint64_t)pid );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -224,5 +224,5 @@
                               error_t     * error )   // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -244,5 +244,5 @@
     *error  = (error_t)rpc.args[1];     
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -256,5 +256,5 @@
     error_t       error;     // local error error status
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -278,5 +278,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[1] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -291,5 +291,5 @@
 void rpc_process_kill_client( process_t * process ) 
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -325,5 +325,5 @@
     }
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -336,5 +336,5 @@
     process_t * process;  
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -360,5 +360,5 @@
     }
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -379,5 +379,5 @@
                                     error_t        * error )      // out 
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -403,5 +403,5 @@
     *error     = (error_t)rpc.args[5];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -421,5 +421,5 @@
     error_t          error;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -456,5 +456,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[2] ) , (uint64_t)thread_xp );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -473,5 +473,5 @@
                                       error_t * error )      // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -496,5 +496,5 @@
     *error     = (error_t)rpc.args[4];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -509,5 +509,5 @@
     error_t          error;    
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -533,5 +533,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[2] ) , (uint64_t)thread_xp );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -547,5 +547,5 @@
                              uint32_t    sig_id )    // in
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -565,5 +565,5 @@
     rpc_send_sync( cxy , &rpc );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -576,5 +576,5 @@
     uint32_t     sig_id;   // signal index
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -591,5 +591,5 @@
     signal_rise( process , sig_id );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -613,5 +613,5 @@
                                   error_t      * error )     // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -641,5 +641,5 @@
     *error    = (error_t)rpc.args[9];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -660,5 +660,5 @@
     error_t          error;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -693,5 +693,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[9] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -706,5 +706,5 @@
                                    struct vfs_inode_s * inode )
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -723,5 +723,5 @@
     rpc_send_sync( cxy , &rpc );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -733,5 +733,5 @@
     vfs_inode_t * inode;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -747,5 +747,5 @@
     vfs_inode_destroy( inode );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -764,5 +764,5 @@
                                    error_t              * error )       // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -787,5 +787,5 @@
     *error     = (error_t)rpc.args[4];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -803,5 +803,5 @@
     char          name_copy[CONFIG_VFS_MAX_NAME_LENGTH];
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -829,5 +829,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[4] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -843,5 +843,5 @@
                                     vfs_dentry_t * dentry )
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -860,5 +860,5 @@
     rpc_send_sync( cxy , &rpc );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -870,5 +870,5 @@
     vfs_dentry_t * dentry;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -884,5 +884,5 @@
     vfs_dentry_destroy( dentry );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -901,5 +901,5 @@
                                  error_t              * error )      // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -923,5 +923,5 @@
     *error   = (error_t)rpc.args[3];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -936,5 +936,5 @@
     error_t       error;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -957,5 +957,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[3] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -970,5 +970,5 @@
                                   vfs_file_t * file )
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -987,5 +987,5 @@
     rpc_send_sync( cxy , &rpc );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -997,5 +997,5 @@
     vfs_file_t * file;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1011,5 +1011,5 @@
     vfs_file_destroy( file );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1027,5 +1027,5 @@
                                 error_t     * error )          // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1049,5 +1049,5 @@
     *error   = (error_t)rpc.args[3];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1064,5 +1064,5 @@
     char          name_copy[CONFIG_VFS_MAX_NAME_LENGTH];
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1087,5 +1087,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[3] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1101,5 +1101,5 @@
                                      error_t     * error )     // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1121,5 +1121,5 @@
     *error   = (error_t)rpc.args[1];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1132,5 +1132,5 @@
     vfs_inode_t * inode;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1149,5 +1149,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[1] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1166,5 +1166,5 @@
                                    error_t  * error )    // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1189,5 +1189,5 @@
     *error   = (error_t)rpc.args[4];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1203,5 +1203,5 @@
     error_t       error;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1223,5 +1223,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[4] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1239,5 +1239,5 @@
                               error_t   * error )      // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1261,5 +1261,5 @@
     *error   = (error_t)rpc.args[3];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1275,5 +1275,5 @@
     error_t       error;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1295,5 +1295,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[3] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1313,5 +1313,5 @@
                              error_t   * error )   // out 
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1336,5 +1336,5 @@
     *error = (error_t)rpc.args[4];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1350,5 +1350,5 @@
     error_t       error;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1370,5 +1370,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[4] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1384,5 +1384,5 @@
                            xptr_t *   buf_xp )     // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1404,5 +1404,5 @@
     *buf_xp = (xptr_t)rpc.args[1];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1412,5 +1412,5 @@
 void rpc_kcm_alloc_server( xptr_t xp )
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1433,5 +1433,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[1] ) , (uint64_t)buf_xp );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1447,5 +1447,5 @@
                           uint32_t   kmem_type )   // in
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1465,5 +1465,5 @@
     rpc_send_sync( cxy , &rpc );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1473,5 +1473,5 @@
 void rpc_kcm_free_server( xptr_t xp )
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1491,5 +1491,5 @@
     kmem_free( &req );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1510,5 +1510,5 @@
                                     error_t  * error )        // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1535,5 +1535,5 @@
     *error     = (error_t)rpc.args[6];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1552,5 +1552,5 @@
     error_t    error;
 
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1592,5 +1592,5 @@
     hal_remote_swd( XPTR( client_cxy , &desc->args[6] ) , (uint64_t)error );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1607,5 +1607,5 @@
                                  page_t         ** page )      // out
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1628,5 +1628,5 @@
     *page = (page_t *)(intptr_t)rpc.args[2];
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1636,5 +1636,5 @@
 void rpc_mapper_get_page_server( xptr_t xp )
 {
-    rpc_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1654,5 +1654,5 @@
     hal_remote_swd( XPTR( cxy , &desc->args[1] ) , (uint64_t)(intptr_t)page );
 
-    rpc_dmsg("\n[INFO] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : exit / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__ , CURRENT_THREAD->trdid , local_cxy, 
     CURRENT_THREAD->core->lid , hal_time_stamp() );
@@ -1673,5 +1673,5 @@
     reg_t      sr_save;
 
-    rpcg_dmsg("\n[INFO] %s : enter / client_cxy = %x / server_cxy = %x / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / client_cxy = %x / server_cxy = %x / cycle %d\n",
     __FUNCTION__ , local_cxy , server_cxy , hal_time_stamp() );
 
@@ -1700,5 +1700,5 @@
     while( error );
  
-    rpcg_dmsg("\n[INFO] %s : RPC %l registered / server_cxy = %x / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : RPC %l registered / server_cxy = %x / cycle %d\n",
     __FUNCTION__ , desc_xp , server_cxy , hal_time_stamp() );
 	
@@ -1714,5 +1714,5 @@
 		    dev_pic_send_ipi( server_cxy , 0 );
 
-		    rpcg_dmsg("\n[INFO] %s : IPI sent / client_cxy = %x / server_cxy = %x\n",
+		    rpc_dmsg("\n[DMSG] %s : IPI sent / client_cxy = %x / server_cxy = %x\n",
             __FUNCTION__, local_cxy , server_cxy );
         }
@@ -1729,5 +1729,5 @@
 	hal_restore_irq( sr_save );
 
-    rpcg_dmsg("\n[INFO] %s : completed / client_cxy = %x / server_cxy = %x / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : completed / client_cxy = %x / server_cxy = %x / cycle %d\n",
     __FUNCTION__ , local_cxy , server_cxy , hal_time_stamp() );
 
@@ -1764,5 +1764,5 @@
 	count = 0;
 
-    rpcg_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
     __FUNCTION__, this->trdid, local_cxy, core->lid , hal_time_stamp() );
  
@@ -1781,5 +1781,5 @@
 	        index = hal_remote_lw( XPTR( client_cxy , &desc->index ) );
 
-            rpcg_dmsg("\n[INFO] %s : thread %x on core [%x,%d] / rpc = %d\n",
+            rpc_dmsg("\n[DMSG] %s : thread %x on core [%x,%d] / rpc = %d\n",
 		     __FUNCTION__ , this->trdid , core->lid , local_cxy , index );
 
@@ -1850,5 +1850,5 @@
         thread->blocked = 0;
 
-        rpcg_dmsg("\n[INFO] %s : activate RPC thread %x on core [%x,%d] / cycle %d\n", 
+        rpc_dmsg("\n[DMSG] %s : activate RPC thread %x on core [%x,%d] / cycle %d\n", 
 		          __FUNCTION__ , thread , core->gid , local_cxy , hal_time_stamp() );
     }
@@ -1875,5 +1875,5 @@
 	    hal_atomic_add( &LOCAL_CLUSTER->rpc_threads , 1 );
 
-        rpcg_dmsg("\n[INFO] %s : create RPC thread %x on core [%x,%d] / cycle %d\n", 
+        rpc_dmsg("\n[DMSG] %s : create RPC thread %x on core [%x,%d] / cycle %d\n", 
 		          __FUNCTION__ , thread->trdid, local_cxy, core->lid, hal_time_stamp() );
     }
@@ -1900,5 +1900,5 @@
     error_t      error;
 
-    rpcg_dmsg("\n[INFO] %s : enter / thread %x / cluster %x / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x / cluster %x / cycle %d\n",
              __FUNCTION__ , this->trdid , local_cxy , hal_time_stamp() );
 
@@ -1906,5 +1906,5 @@
 	if( (rpc_fifo->owner != 0) || (local_fifo_is_empty( &rpc_fifo->fifo )) )
     {
-        rpcg_dmsg("\n[INFO] %s : exit do nothing / thread %x / cluster %x / cycle %d\n",
+        rpc_dmsg("\n[DMSG] %s : exit do nothing / thread %x / cluster %x / cycle %d\n",
                  __FUNCTION__ , this->trdid , local_cxy , hal_time_stamp() );
 
@@ -1926,5 +1926,5 @@
         }
 
-        rpcg_dmsg("\n[INFO] %s : exit after RPC thread activation / "
+        rpc_dmsg("\n[DMSG] %s : exit after RPC thread activation / "
                  "thread %x / cluster %x / cycle %d\n",
                  __FUNCTION__ , this->trdid , local_cxy , hal_time_stamp() );
@@ -1934,5 +1934,5 @@
     else  // light lock taken by another thread
     {
-        rpcg_dmsg("\n[INFO] %s : exit do nothing / thread %x / cluster %x / cycle %d\n",
+        rpc_dmsg("\n[DMSG] %s : exit do nothing / thread %x / cluster %x / cycle %d\n",
                  __FUNCTION__ , this->trdid , local_cxy , hal_time_stamp() );
 
@@ -1951,5 +1951,5 @@
 	rpc_fifo_t * rpc_fifo = &LOCAL_CLUSTER->rpc_fifo;
 
-    rpcg_dmsg("\n[INFO] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
+    rpc_dmsg("\n[DMSG] %s : enter / thread %x on core[%x,%d] / cycle %d\n",
              __FUNCTION__, this->trdid, local_cxy, this->core->lid, hal_time_stamp() );
 
@@ -1975,5 +1975,5 @@
 		if( LOCAL_CLUSTER->rpc_threads >= CONFIG_RPC_THREADS_MAX ) 
 		{
-            rpcg_dmsg("\n[INFO] %s : RPC thread %x on core[%x,%d] suicide / cycle %d\n", 
+            rpc_dmsg("\n[DMSG] %s : RPC thread %x on core[%x,%d] suicide / cycle %d\n", 
 		    __FUNCTION__, this->trdid, local_cxy, this->core->lid, hal_time_stamp() );
 
@@ -1986,5 +1986,5 @@
         else
         {
-            rpcg_dmsg("\n[INFO] %s : RPC thread %x on core[%x,%d] blocks / cycle %d\n", 
+            rpc_dmsg("\n[DMSG] %s : RPC thread %x on core[%x,%d] blocks / cycle %d\n", 
 			__FUNCTION__, this->trdid, local_cxy, this->core->lid, hal_time_stamp() ); 
 
@@ -1992,5 +1992,5 @@
             sched_yield( NULL );
 
-		    rpcg_dmsg("\n[INFO] %s : RPC thread %x wake up on core[%x,%d] / cycle %d\n", 
+		    rpc_dmsg("\n[DMSG] %s : RPC thread %x wake up on core[%x,%d] / cycle %d\n", 
 	        __FUNCTION__, this->trdid, local_cxy, this->core->lid, hal_time_stamp() );
         }
